import { h } from "../jsx.ts";
import watt, { watt as originalWatt } from "../wattpad.ts";
import Base from "../templates/Base.tsx";

import Script from "../components/Script.tsx";
import HistoryScript from "../scripts/History.ts";

function search() {
    console.log(document.getElementById("query"));
}

export default (params: URLSearchParams) => {
    return (
        <Base
            title="History"
            description="Previously read stories."
            stylepath="css/index.scss"
        >
            <h1>Previously-read stories</h1>
            <button
                type="button"
                style="border-radius: 0.25em;margin-bottom:0.5em;"
                id="clear-button"
            >
                Clear History
            </button>
            <Script function={HistoryScript} />
            <div id="stories" class="stories" />
        </Base>
    );
};
