import { h } from "../jsx.ts";

import Base from "../templates/Base.tsx";

import Script from "../components/Script.tsx";
import IndexScript from "../scripts/Index.ts";

export default () => (
    <Base title="Home" description="The homepage." stylepath="css/index.scss">
        <Script function={IndexScript} />
        <div style="text-align: center;">
            <h1>Voltpad</h1>
            <p>A blazingly fast (🚀) Wattpad frontend</p>
        </div>
        <div class="saved-container">
            <div id="saved-searches" class="saved-child stories">
                <h3>Saved Searches</h3>
            </div>
            <div id="saved-stories" class="saved-child stories">
                <h3>Saved Stories</h3>
            </div>
        </div>
    </Base>
);
