import { h } from "../jsx.ts";
import { Context } from "../oak.ts";

import Base from "../templates/Base.tsx";

export default (_: unknown, ctx: Context) => {
    ctx.response.status = 404;
    return (
        <Base title="404" description="L bozo" stylepath="css/index.scss">
            <div style="text-align:center;">
                <h1>404</h1>
                <p>Page not found.</p>
            </div>
        </Base>
    );
};
